\documentclass[french]{report}
\usepackage[T1]{fontenc}
\usepackage[utf8]{inputenc}
\usepackage{lmodern}
\usepackage{graphicx}
\usepackage{xcolor}
\usepackage{titlepic}
\usepackage[binary-units]{siunitx}
\usepackage[a4paper]{geometry}
\usepackage{babel}
\usepackage{pgfplots}
\usepackage{listings}
\usepackage{listingsutf8}
\usepackage{fancyhdr}
\usepackage{hyperref}
\usepackage{hypcap}
\usepackage{xurl}


\pagestyle{fancy}
\fancyhf{}
\renewcommand{\headrulewidth}{0pt}
\fancyfoot[C]{\thepage}
\fancyfoot[L]{informatique graphique}
\fancypagestyle{plain}{\lfoot{informatique graphique} \renewcommand{\headrulewidth}{0pt}}

\lstdefinelanguage{JS}{
	breaklines=true
	keywords={typeof, new, true, false, catch, function, return, null, catch, switch, var, if, in, while, do, else, case, break},
	keywordstyle=\color{blue}\bfseries,
	ndkeywords={class, export, boolean, throw, implements, import, this},
	ndkeywordstyle=\color{darkgray}\bfseries,
	identifierstyle=\color{black},
	sensitive=false,
	comment=[l]{//},
	morecomment=[s]{/*}{*/},
	commentstyle=\color{purple}\ttfamily,
	stringstyle=\color{red}\ttfamily,
	morestring=[b]',
	morestring=[b]"
}

\begin{document}

\titlepic{\includegraphics[width=4cm]{./img/logo_ulco.jpeg}}
\title{Rapport de projet en informatique graphique}
\author{Louis Vélu\thanks{\ttfamily{louis.velu@gmail.com}}}
\maketitle

\tableofcontents

\include{projet_init}
\include{features}


\end{document}

